ATA_PHYS_LINK_ONLINE(9)

NAME
ata_phys_link_online - test whether the given link is online

SYNOPSIS

bool ata_phys_link_online(struct ata_link * link);

ARGUMENTS

link
    ATA link to test

DESCRIPTION

Test whether link is online. Note that this function returns 0 if online status of link cannot be obtained, so ata_link_online(link) != !ata_link_offline(link).

LOCKING

None.

RETURNS

True if the port online status is available and online.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT